Bug 2398 - index service does not appear to have wsrf-query support (any more)
: index service does not appear to have wsrf-query support (any more)
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: development
: All All
: P3 normal
: ---
Assigned To:
:
:
:
: 2269
  Show dependency treegraph
 
Reported: 2004-12-04 17:28 by
Modified: 2005-03-16 21:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-04 17:28:22
The index does not support the WSRF QueryRP operation. I think it used to.
------- Comment #1 From 2004-12-04 17:49:30 -------
This was definitely supported in 3.9.3 and in CVS after the Axis merge (WebMDS
-- or at least the default and most common usage of WebMDS -- depends on it).
------- Comment #2 From 2004-12-05 01:34:08 -------
1. The WSDL does not expose the necessary operations. This does not inhibit 
functionality when using the Java GT code, but presents an interop problem. This 
should be fixed to reflect both intended/actual behaviour of the service, 
if/when board approves.

2. The security descriptor config params in the TRANSPORT_DEFAULT_BRANCH were 
messed up; I've fixed this (by removing them as they are no longer necessary at 
all).
------- Comment #3 From 2005-02-23 03:09:13 -------
This works in practice; however, we should investigate whether there is still
some WSDL that needs to be changed.
------- Comment #4 From 2005-03-16 17:54:40 -------
This is also true for the IndexServiceEntry, TriggerService, and 
TriggerServiceEntry services.  The fix is to add the correct PortType 
inheritance for QueryResourceProperties to the Aggregator WSDL, which all of 
the aforementioned services derive their respective port types from.

This WSDL change has now been approved and will be committed shortly.
------- Comment #5 From 2005-03-16 21:35:00 -------
Fixed in CVS HEAD